<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_SSL3_KEY_MAT_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_SSL3_KEY_MAT_PARAMS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a2439a0d44f4d06d26cef9a416f2dc6dc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#a2439a0d44f4d06d26cef9a416f2dc6dc">ulMacSizeInBits</a></td></tr>
<tr class="separator:a2439a0d44f4d06d26cef9a416f2dc6dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74fe2af5f13d07d0ce587a6aa42bacd6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#a74fe2af5f13d07d0ce587a6aa42bacd6">ulKeySizeInBits</a></td></tr>
<tr class="separator:a74fe2af5f13d07d0ce587a6aa42bacd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6c871e7a72f9d39ec7eac89b4a70205"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#aa6c871e7a72f9d39ec7eac89b4a70205">ulIVSizeInBits</a></td></tr>
<tr class="separator:aa6c871e7a72f9d39ec7eac89b4a70205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1936b7fa59f514b8c916dd4b31e1f49d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#abd07a1bba363f8083080b9328e67b491">CK_BBOOL</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#a1936b7fa59f514b8c916dd4b31e1f49d">bIsExport</a></td></tr>
<tr class="separator:a1936b7fa59f514b8c916dd4b31e1f49d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82305146a206e94b4f3d0ac948555f81"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCK__SSL3__RANDOM__DATA.html">CK_SSL3_RANDOM_DATA</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#a82305146a206e94b4f3d0ac948555f81">RandomInfo</a></td></tr>
<tr class="separator:a82305146a206e94b4f3d0ac948555f81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9fc45cc4c44d9f97a77be81152d70ea"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#adb0cccb89d4cb7ff741ec4e1b1b868e3">CK_SSL3_KEY_MAT_OUT_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#ad9fc45cc4c44d9f97a77be81152d70ea">pReturnedKeyMaterial</a></td></tr>
<tr class="separator:ad9fc45cc4c44d9f97a77be81152d70ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01358">1358</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a1936b7fa59f514b8c916dd4b31e1f49d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1936b7fa59f514b8c916dd4b31e1f49d">&#9670;&nbsp;</a></span>bIsExport</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#abd07a1bba363f8083080b9328e67b491">CK_BBOOL</a> bIsExport</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01362">1362</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ad9fc45cc4c44d9f97a77be81152d70ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9fc45cc4c44d9f97a77be81152d70ea">&#9670;&nbsp;</a></span>pReturnedKeyMaterial</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#adb0cccb89d4cb7ff741ec4e1b1b868e3">CK_SSL3_KEY_MAT_OUT_PTR</a> pReturnedKeyMaterial</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01364">1364</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a82305146a206e94b4f3d0ac948555f81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82305146a206e94b4f3d0ac948555f81">&#9670;&nbsp;</a></span>RandomInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCK__SSL3__RANDOM__DATA.html">CK_SSL3_RANDOM_DATA</a> RandomInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01363">1363</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="aa6c871e7a72f9d39ec7eac89b4a70205"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6c871e7a72f9d39ec7eac89b4a70205">&#9670;&nbsp;</a></span>ulIVSizeInBits</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulIVSizeInBits</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01361">1361</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a74fe2af5f13d07d0ce587a6aa42bacd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74fe2af5f13d07d0ce587a6aa42bacd6">&#9670;&nbsp;</a></span>ulKeySizeInBits</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulKeySizeInBits</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01360">1360</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a2439a0d44f4d06d26cef9a416f2dc6dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2439a0d44f4d06d26cef9a416f2dc6dc">&#9670;&nbsp;</a></span>ulMacSizeInBits</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulMacSizeInBits</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01359">1359</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
